{
  "name": "SAL ENV",
  "dockerComposeFile": "docker-compose.yml",
  "service": "model-sal",
  // "remoteUser": "vscode",
  "workspaceFolder": "/workspaces/model",
  "postStartCommand": "bash .devcontainer/asset_list/post-install.sh",
  "mounts": [
    // Optional, just makes getting from Downloads (local env) easier
    "source=${localEnv:HOME},target=/home/vscode,type=bind"
  ],
  "forwardPorts": [8081],
  "customizations": {
    "vscode": {
      "extensions": [
        "ms-python.python",
        "ms-toolsai.jupyter",
        "mechatroner.rainbow-csv",
        "ms-toolsai.datawrangler",
        "lindacong.vscode-book-reader",
        "4ops.terraform",
        "fabiospampinato.vscode-todo-plus",
        "jgclark.vscode-todo-highlight",
        "corentinartaud.pdfpreview",
        "ms-python.vscode-python-envs",
        "ms-python.black-formatter",
        "GrapeCity.gc-excelviewer",
        "jakobhoeg.vscode-pokemon",
        "eamodio.gitlens"
      ],
      "settings": {
        "files.defaultWorkspace": "/workspaces/model",
        "[python]": {
          "editor.defaultFormatter": "ms-python.black-formatter",
          "editor.formatOnSave": true
        },
        "python.formatting.provider": "none"
      }
    }
  },
  "containerEnv": {
    "PYTHONFLAGS": "-Xfrozen_modules=off"
  }
}
